Unify and manage your data

Update a hierarchy version by ID

Learn more about how to use the hierarchy versions API to update a hierarchy version by ID.

Use the Hierarchy versions to update the metadata for a hierarchy version. This operation requires the MDM.Data.Hierarchy permission with the UPDATE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

PUT https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}/versions/{versionId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
nameStringYesThe name of the version.
statusStringNoThe status of the version.
effectiveStartDateStringNoThe start effective date of the version in ISO 8601 date format.
effectiveEndDateStringNoThe end effective date of the version in ISO 8601 date format.
descriptionStringNoThe description of the version.
contextStringNoAdditional context for the version.

Example request

Use the following example to see how a complete request is structured with headers.

PUT /list/prd/versions/version1
Authorization: Bearer <token>

{
  "name": "Version 1",
  "status": "ACTIVE",
  "effectiveStartDate": "2024-01-01",
  "effectiveEndDate": "2026-12-31",
  "description": "longDescription",
  "context": "longContextDescription"
}

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
instanceIdStringThe hierarchy instance ID.
versionIdStringThe version ID.
nameStringThe name of the version.
statusStringOptional. The status of the version.
effectiveStartDateStringOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringOptional. The description of the version.
contextStringOptional. Additional context for the version.
createdByStringThe username of the user who created the version.
createdTimeStringThe time when the version was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the version.
updatedTimeStringThe time when the version was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "instanceId": "prd.version1",
  "versionId": "version1",
  "name": "Version 1",
  "status": "ACTIVE",
  "effectiveStartDate": "2024-01-01",
  "effectiveEndDate": "2026-12-31",
  "description": "longDescription",
  "context": "longContextDescription",
  "createdBy": "user@test.com",
  "createdTime": "2024-10-10T10:13:30",
  "updatedBy": "user@test.com",
  "updatedTime": "2024-10-10T10:15:30"
}